Linux cesa-www-main 6.1.0-49-cloud-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.174-1 (2026-05-26) x86_64
Apache/2.4.68 (Debian)
Server IP : 10.218.0.2 & Your IP : 216.73.217.79
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
ModemManager
2.01
MB
-rwxr-xr-x
2023-01-03 12:34
a2disconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dismod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dissite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enmod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2ensite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2query
9.6
KB
-rwxr-xr-x
2026-06-12 05:08
aa-remove-unknown
3.13
KB
-rwxr-xr-x
2023-02-14 11:49
aa-status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
aa-teardown
137
B
-rwxr-xr-x
2022-11-22 00:54
accessdb
14.46
KB
-rwxr-xr-x
2023-03-12 22:23
add-shell
1.03
KB
-rwxr-xr-x
2023-07-28 23:46
addgnupghome
3
KB
-rwxr-xr-x
2026-01-01 14:54
addgroup
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
adduser
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
agetty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
apache2
716.53
KB
-rwxr-xr-x
2026-06-12 05:08
apache2ctl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apachectl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apparmor_parser
1.39
MB
-rwxr-xr-x
2023-02-14 11:49
apparmor_status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2026-01-01 14:54
arp
66.13
KB
-rwxr-xr-x
2025-05-26 19:27
arpd
104.48
KB
-rwxr-xr-x
2023-05-22 13:19
arptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
aspell-autobuildhash
13.36
KB
-rwxr-xr-x
2023-03-14 21:17
avahi-daemon
146.43
KB
-rwxr-xr-x
2024-12-19 07:01
badblocks
34.25
KB
-rwxr-xr-x
2025-06-06 17:12
biosdecode
27.13
KB
-rwxr-xr-x
2022-06-30 18:37
blkdeactivate
15.96
KB
-rwxr-xr-x
2022-10-19 19:37
blkdiscard
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
blkid
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
blkmapd
54.34
KB
-rwxr-xr-x
2024-12-11 14:00
blkzone
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
blockdev
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
bridge
152.54
KB
-rwxr-xr-x
2023-05-22 13:19
capsh
53.29
KB
-rwxr-xr-x
2026-05-07 21:10
cgdisk
210.41
KB
-rwxr-xr-x
2022-10-16 12:32
chcpu
46.3
KB
-rwxr-xr-x
2024-11-21 20:01
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
66.29
KB
-rwxr-xr-x
2025-12-14 14:00
chmem
66.31
KB
-rwxr-xr-x
2024-11-21 20:01
chpasswd
62.36
KB
-rwxr-xr-x
2025-12-14 14:00
chroot
46.98
KB
-rwxr-xr-x
2022-09-20 15:27
cifs.idmap
14.3
KB
-rwxr-xr-x
2022-08-26 14:06
cifs.upcall
38.52
KB
-rwxr-xr-x
2022-08-26 14:06
cpgr
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
cppw
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
cron
50.56
KB
-rwxr-xr-x
2023-03-02 07:33
ctrlaltdel
38.3
KB
-rwxr-xr-x
2024-11-21 20:01
dbconfig-generate-include
12.36
KB
-rwxr-xr-x
2023-02-16 12:37
dbconfig-load-include
5.57
KB
-rwxr-xr-x
2023-02-16 12:37
dcb
144.6
KB
-rwxr-xr-x
2023-05-22 13:19
debugfs
233.83
KB
-rwxr-xr-x
2025-06-06 17:12
delgroup
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
deluser
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
depmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
devlink
220.98
KB
-rwxr-xr-x
2023-05-22 13:19
dhclient
2.63
MB
-rwxr-xr-x
2023-04-17 12:20
dhclient-script
14.21
KB
-rwxr-xr-x
2023-04-17 12:20
dmidecode
127.16
KB
-rwxr-xr-x
2022-06-30 18:37
dmsetup
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dmstats
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dpkg-fsys-usrunmess
16.99
KB
-rwxr-xr-x
2026-03-07 12:15
dpkg-preconfigure
3.83
KB
-rwxr-xr-x
2023-01-08 21:50
dpkg-reconfigure
4.38
KB
-rwxr-xr-x
2023-01-08 21:50
dumpe2fs
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2freefrag
14.3
KB
-rwxr-xr-x
2025-06-06 17:12
e2fsck
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2image
54.45
KB
-rwxr-xr-x
2025-06-06 17:12
e2label
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
e2mmpstatus
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub
7.12
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub_all
5.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2undo
22.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4crypt
26.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4defrag
30.23
KB
-rwxr-xr-x
2025-06-06 17:12
ebtables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ethtool
592.45
KB
-rwxr-xr-x
2022-12-20 11:18
exicyclog
11.03
KB
-rwxr-xr-x
2026-05-27 16:52
exigrep
10.4
KB
-rwxr-xr-x
2026-05-27 16:52
exim
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
exim4
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
exim_checkaccess
4.74
KB
-rwxr-xr-x
2026-05-27 16:52
exim_convert4r4
72.76
KB
-rwxr-xr-x
2026-05-27 16:52
exim_dbmbuild
18.24
KB
-rwxr-xr-x
2026-05-27 16:52
exim_dumpdb
26.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_fixdb
34.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_lock
18.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_tidydb
30.23
KB
-rwxr-xr-x
2026-05-27 16:52
eximstats
148.03
KB
-rwxr-xr-x
2026-05-27 16:52
exinext
8.08
KB
-rwxr-xr-x
2026-05-27 16:52
exipick
59.25
KB
-rwxr-xr-x
2026-05-27 16:52
exiqgrep
5.42
KB
-rwxr-xr-x
2026-05-27 16:52
exiqsumm
5.04
KB
-rwxr-xr-x
2026-05-27 16:52
exiwhat
4.34
KB
-rwxr-xr-x
2026-05-27 16:52
exportfs
90.59
KB
-rwxr-xr-x
2024-12-11 14:00
faillock
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
filefrag
18.26
KB
-rwxr-xr-x
2025-06-06 17:12
findfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fixparts
74.4
KB
-rwxr-xr-x
2022-10-16 12:32
fsck
54.36
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.cramfs
42.37
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.ext2
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext3
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext4
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.minix
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
fsfreeze
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fstab-decode
14.23
KB
-rwxr-xr-x
2023-04-03 06:25
fstrim
74.31
KB
-rwxr-xr-x
2024-11-21 20:01
gdisk
218.41
KB
-rwxr-xr-x
2022-10-16 12:32
genl
116.51
KB
-rwxr-xr-x
2023-05-22 13:19
getcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getpcaps
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
groupadd
99.04
KB
-rwxr-xr-x
2025-12-14 14:00
groupdel
86.85
KB
-rwxr-xr-x
2025-12-14 14:00
groupmems
66.33
KB
-rwxr-xr-x
2025-12-14 14:00
groupmod
99.01
KB
-rwxr-xr-x
2025-12-14 14:00
grpck
66.3
KB
-rwxr-xr-x
2025-12-14 14:00
grpconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grpunconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grub-install
1.15
MB
-rwxr-xr-x
2026-04-01 20:03
grub-macbless
931.48
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkconfig
8.46
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkdevicemap
216.76
KB
-rwxr-xr-x
2026-04-01 20:03
grub-probe
939.79
KB
-rwxr-xr-x
2026-04-01 20:03
grub-reboot
4.73
KB
-rwxr-xr-x
2026-04-01 20:03
grub-set-default
3.47
KB
-rwxr-xr-x
2026-04-01 20:03
halt
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
haveged
30.8
KB
-rwxr-xr-x
2026-05-22 12:56
httxt2dbm
14.23
KB
-rwxr-xr-x
2026-06-12 05:08
hwclock
86.44
KB
-rwxr-xr-x
2024-11-21 20:01
iconvconfig
30.84
KB
-rwxr-xr-x
2026-04-27 20:14
ifconfig
82.01
KB
-rwxr-xr-x
2025-05-26 19:27
iio-sensor-proxy
67.06
KB
-rwxr-xr-x
2021-01-29 07:05
init
90.38
KB
-rwxr-xr-x
2026-04-27 19:48
insmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2022-10-06 18:03
installkernel
2.6
KB
-rwxr-xr-x
2023-07-28 23:46
invoke-rc.d
16.13
KB
-rwxr-xr-x
2022-07-04 10:14
ip
674.82
KB
-rwxr-xr-x
2023-05-22 13:19
ip6tables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
ip6tables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ipmaddr
18.56
KB
-rwxr-xr-x
2025-05-26 19:27
iptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
iptables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptunnel
26.55
KB
-rwxr-xr-x
2025-05-26 19:27
isosize
30.31
KB
-rwxr-xr-x
2024-11-21 20:01
ispell-autobuildhash
15.52
KB
-rwxr-xr-x
2023-03-14 21:17
key.dns_resolver
30.32
KB
-rwxr-xr-x
2022-12-18 21:15
killall5
26.31
KB
-rwxr-xr-x
2023-04-03 06:25
ldattach
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
ldconfig
959.84
KB
-rwxr-xr-x
2026-04-27 20:14
logrotate
98.16
KB
-rwxr-xr-x
2022-12-14 18:16
logsave
14.09
KB
-rwxr-xr-x
2025-06-06 17:12
losetup
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
lsmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
make-ssl-cert
6.65
KB
-rwxr-xr-x
2021-12-30 16:52
mii-tool
27.08
KB
-rwxr-xr-x
2025-05-26 19:27
mke2fs
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.bfs
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.cramfs
42.24
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.ext2
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext3
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext4
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.minix
110.32
KB
-rwxr-xr-x
2024-11-21 20:01
mkhomedir_helper
22.27
KB
-rwxr-xr-x
2025-08-10 15:54
mkinitramfs
12.4
KB
-rwxr-xr-x
2025-04-26 20:00
mklost+found
14.23
KB
-rwxr-xr-x
2025-06-06 17:12
mkswap
114.31
KB
-rwxr-xr-x
2024-11-21 20:01
modinfo
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
modprobe
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
mount.cifs
47
KB
-rwsr-xr-x
2022-08-26 14:06
mount.nfs
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
mount.nfs4
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
mount.smb3
47
KB
-rwsr-xr-x
2022-08-26 14:06
mountstats
42.28
KB
-rwxr-xr-x
2024-12-11 14:00
nameif
14.65
KB
-rwxr-xr-x
2025-05-26 19:27
netplan
798
B
-rwxr-xr-x
2023-02-09 08:15
newusers
102.92
KB
-rwxr-xr-x
2025-12-14 14:00
nfnl_osf
18.23
KB
-rwxr-xr-x
2023-01-16 13:44
nfsconf
46.72
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdcld
70.6
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdclddb
9.99
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdclnts
9.05
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdcltrack
50.73
KB
-rwxr-xr-x
2024-12-11 14:00
nfsidmap
46.34
KB
-rwxr-xr-x
2024-12-11 14:00
nfsiostat
24.41
KB
-rwxr-xr-x
2024-12-11 14:00
nfsstat
37.2
KB
-rwxr-xr-x
2024-12-11 14:00
nologin
14.23
KB
-rwxr-xr-x
2025-12-14 14:00
nvme
919.27
KB
-rwxr-xr-x
2023-04-15 08:18
ownership
14.38
KB
-rwxr-xr-x
2022-06-30 18:37
pam-auth-update
20.79
KB
-rwxr-xr-x
2025-08-10 15:54
pam_getenv
2.82
KB
-rwxr-xr-x
2025-08-10 15:54
pam_namespace_helper
467
B
-rwxr-xr-x
2025-08-10 15:54
pam_timestamp_check
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
paperconfig
4.07
KB
-rwxr-xr-x
2023-03-17 13:44
parted
86.33
KB
-rwxr-xr-x
2022-11-15 23:24
partprobe
14.3
KB
-rwxr-xr-x
2022-11-15 23:24
php-fpm7.2
4.72
MB
-rwxr-xr-x
2026-05-14 15:46
php-fpm7.4
4.56
MB
-rwxr-xr-x
2026-05-14 15:45
php-fpm8.1
5.28
MB
-rwxr-xr-x
2026-05-14 15:46
php-fpm8.4
5.7
MB
-rwxr-xr-x
2026-06-06 06:52
phpdismod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpenmod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpquery
6.24
KB
-rwxr-xr-x
2026-05-03 07:49
pivot_root
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
plipconfig
14.48
KB
-rwxr-xr-x
2025-05-26 19:27
poweroff
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
pwck
58.26
KB
-rwxr-xr-x
2025-12-14 14:00
pwconv
54.13
KB
-rwxr-xr-x
2025-12-14 14:00
pwhistory_helper
18.24
KB
-rwxr-xr-x
2025-08-10 15:54
pwunconv
54.17
KB
-rwxr-xr-x
2025-12-14 14:00
rarp
37.13
KB
-rwxr-xr-x
2025-05-26 19:27
readprofile
34.34
KB
-rwxr-xr-x
2024-11-21 20:01
reboot
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
remove-default-ispell
2.86
KB
-rwxr-xr-x
2023-03-14 21:17
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2023-03-14 21:17
remove-shell
1.08
KB
-rwxr-xr-x
2023-07-28 23:46
request-key
26.32
KB
-rwxr-xr-x
2022-12-18 21:15
resize2fs
62.3
KB
-rwxr-xr-x
2025-06-06 17:12
resolvconf
146.53
KB
-rwxr-xr-x
2026-04-27 19:48
rmail
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
rmmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
rmt
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
rmt-tar
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
route
69.17
KB
-rwxr-xr-x
2025-05-26 19:27
rpc.gssd
106.57
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.idmapd
62.53
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.mountd
145.68
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.nfsd
50.88
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.statd
111.02
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.svcgssd
62.54
KB
-rwxr-xr-x
2024-12-11 14:00
rpcbind
62.48
KB
-rwxr-xr-x
2022-10-09 21:12
rpcctl
9.42
KB
-rwxr-xr-x
2024-12-11 14:00
rpcdebug
18.3
KB
-rwxr-xr-x
2024-12-11 14:00
rpcinfo
34.39
KB
-rwxr-xr-x
2022-10-09 21:12
rsmtp
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
rsyslogd
731.79
KB
-rwxr-xr-x
2025-01-08 18:13
rtacct
44.37
KB
-rwxr-xr-x
2023-05-22 13:19
rtcwake
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
rtmon
112.45
KB
-rwxr-xr-x
2023-05-22 13:19
runlevel
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
runq
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
runuser
70.31
KB
-rwxr-xr-x
2024-11-21 20:01
select-default-ispell
3.23
KB
-rwxr-xr-x
2023-03-14 21:17
select-default-wordlist
3.21
KB
-rwxr-xr-x
2023-03-14 21:17
sendmail
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
service
8.89
KB
-rwxr-xr-x
2025-08-20 18:58
setcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
sgdisk
202.41
KB
-rwxr-xr-x
2022-10-16 12:32
shadowconfig
2.22
KB
-rwxr-xr-x
2025-12-14 14:00
showmount
22.5
KB
-rwxr-xr-x
2024-12-11 14:00
shutdown
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
slattach
41.2
KB
-rwxr-xr-x
2025-05-26 19:27
sm-notify
78.51
KB
-rwxr-xr-x
2024-12-11 14:00
split-logfile
2.36
KB
-rwxr-xr-x
2026-06-12 05:08
sshd
1.21
MB
-rwxr-xr-x
2026-05-05 10:26
start-statd
1023
B
-rwxr-xr-x
2024-12-11 14:00
start-stop-daemon
43.42
KB
-rwxr-xr-x
2026-03-07 12:15
sudo_logsrvd
244.57
KB
-rwxr-xr-x
2026-04-11 12:01
sudo_sendlog
151.41
KB
-rwxr-xr-x
2026-04-11 12:01
sulogin
54.31
KB
-rwxr-xr-x
2024-11-21 20:01
swaplabel
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapoff
22.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapon
50.3
KB
-rwxr-xr-x
2024-11-21 20:01
switch_root
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
sysctl
30.31
KB
-rwxr-xr-x
2022-12-19 06:06
syslog2eximlog
1.41
KB
-rwxr-xr-x
2026-05-27 16:52
tarcat
936
B
-rwxr-xr-x
2024-01-20 09:27
tc
574
KB
-rwxr-xr-x
2023-05-22 13:19
tcptraceroute
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
telinit
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
tipc
152.6
KB
-rwxr-xr-x
2023-05-22 13:19
traceroute
71.23
KB
-rwxr-xr-x
2023-02-25 12:24
tune2fs
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
umount.nfs
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
umount.nfs4
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
unix_chkpwd
38.24
KB
-rwxr-sr-x
2025-08-10 15:54
unix_update
38.24
KB
-rwxr-xr-x
2025-08-10 15:54
update-ca-certificates
5.54
KB
-rwxr-xr-x
2026-07-17 08:50
update-catalog
9.17
KB
-rwxr-xr-x
2022-10-06 18:03
update-default-aspell
1
KB
-rwxr-xr-x
2023-03-14 21:17
update-default-ispell
9.68
KB
-rwxr-xr-x
2023-03-14 21:17
update-default-wordlist
7.5
KB
-rwxr-xr-x
2023-03-14 21:17
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2023-03-14 21:17
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2023-03-14 21:17
update-exim4.conf
14.7
KB
-rwxr-xr-x
2026-05-27 16:52
update-exim4.conf.template
3.35
KB
-rwxr-xr-x
2025-11-24 05:52
update-exim4defaults
8.16
KB
-rwxr-xr-x
2026-05-27 16:52
update-fonts-alias
5.71
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-dir
3.98
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-scale
6.1
KB
-rwxr-xr-x
2016-08-21 16:54
update-grub
64
B
-rwxr-xr-x
2026-03-31 19:41
update-grub2
64
B
-rwxr-xr-x
2026-03-31 19:41
update-gsfontmap
470
B
-rwxr-xr-x
2025-10-05 08:11
update-icon-caches
596
B
-rwxr-xr-x
2024-07-19 10:57
update-initramfs
6.75
KB
-rwxr-xr-x
2025-04-24 15:40
update-passwd
38.49
KB
-rwxr-xr-x
2022-09-20 10:22
update-pciids
1.71
KB
-rwxr-xr-x
2023-01-17 23:50
update-rc.d
17.33
KB
-rwxr-xr-x
2025-08-20 18:56
update-secureboot-policy
5.13
KB
-rwxr-xr-x
2026-06-22 21:30
update-shells
3.89
KB
-rwxr-xr-x
2023-07-28 23:46
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2019-02-27 00:18
usb_modeswitch
59.59
KB
-rwxr-xr-x
2022-05-31 23:53
usb_modeswitch_dispatcher
34.08
KB
-rwxr-xr-x
2022-05-31 23:53
useradd
155.8
KB
-rwxr-xr-x
2025-12-14 14:00
userdel
110.95
KB
-rwxr-xr-x
2025-12-14 14:00
usermod
143.61
KB
-rwxr-xr-x
2025-12-14 14:00
uuidd
38.81
KB
-rwxr-xr-x
2024-11-21 20:01
vdpa
116.66
KB
-rwxr-xr-x
2023-05-22 13:19
vigr
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
vipw
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
visudo
256.63
KB
-rwxr-xr-x
2026-04-11 12:01
vpddecode
14.51
KB
-rwxr-xr-x
2022-06-30 18:37
wipefs
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
wpa_action
1.69
KB
-rwxr-xr-x
2025-04-11 14:29
wpa_cli
160.24
KB
-rwxr-xr-x
2025-04-11 14:29
wpa_supplicant
3.21
MB
-rwxr-xr-x
2025-04-11 14:29
xtables-legacy-multi
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-monitor
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-nft-multi
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
zic
58.73
KB
-rwxr-xr-x
2026-04-27 20:14
zramctl
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
Save
Rename
#!/bin/sh # update-exim4.conf(8) - Generate /var/lib/exim4/config.autogenerated set -e set -C set -f UPEX4C_confdir="/etc/exim4" UPEX4C_sections="main acl router transport retry rewrite auth" # list of ue4cc options that need to support both colons and # semicolons as separators. dc_other_hostnames and dc_smarthost # has special handling. UPEX4C_semicolon="dc_local_interfaces dc_relay_nets dc_relay_domains" EXIM="/usr/sbin/exim4" UPEX4C_verbose=no UPEX4C_autoconfigfile=/var/lib/exim4/config.autogenerated UPEX4C_outputfile="${UPEX4C_autoconfigfile}" UPEX4C_version="4.96-15+deb12u10" usage() { cat <<EOF $0 - Generate exim4 configuration files Options: -v|--verbose - Enable verbose mode, tell about ignored files -h|--help - Show this message --keepcomments - Do not remove comment lines --removecomments - Remove comment lines -o|--output file - write output to file instead of ${UPEX4C_outputfile} -d|--confdir directory - read input from given directory instead of ${UPEX4C_confdir} --check - Test generated file for validity and remove it again. EOF } ## Parse commandline TEMP=$(getopt -n update-exim4.conf \ -l check,keepcomments,removecomments,output:,confdir:,help,verbose -- \ +o:d:vh "$@") if test "$?" != 0; then echo "Terminating..." >&2 exit 1 fi eval set -- ${TEMP} while test "$1" != "--"; do case $1 in -h|--help) usage exit 0 ;; -v|--verbose) UPEX4C_verbose=yes ;; --keepcomments) UPEX4C_comments=yes ;; --removecomments) UPEX4C_comments=no ;; --check) UPEX4C_check=yes ;; -o|--output) shift UPEX4C_outputfile="$1" ;; -d|--confdir) shift UPEX4C_confdir="$1" ;; esac shift done shift # No non-option arguments allowed. if [ "$#" -ne 0 ]; then echo "No non option arguments ($@) allowed" >&2 usage >&2 exit 1 fi # exit immediately if /etc/exim4/exim4.conf exists and -o was not specified if [ -e /etc/exim4/exim4.conf ] && \ [ "${UPEX4C_outputfile}" = "${UPEX4C_autoconfigfile}" ] ; then exit 0 fi UE4CC="$UPEX4C_confdir/update-exim4.conf.conf" UPEX4C_confd="$UPEX4C_confdir/conf.d" [ -d "$(dirname "$UPEX4C_outputfile")" ] || \ { printf "$0: Error, missing $(dirname "$UPEX4C_outputfile"), exiting.\n" 1>&2 ; exit 1 ; } if [ -f "$UE4CC" ]; then . "$UE4CC" else echo >&2 "$0: Error, no $UE4CC, exiting." exit 1 fi UPEX4C_autoconfigfile=/var/lib/exim4/config.autogenerated if [ "$(dirname ${UPEX4C_outputfile})" = "/var/lib/exim4" ] ; then UPEX4C_tmp="${UPEX4C_outputfile}.tmp" else UPEX4C_tmp="$(mktemp)" fi lowerpipe() { tr 'A-Z' 'a-z' } lowercase() { echo "$*" | lowerpipe } check_ascii_pipe() { IN="$(cat)" # Use "abcdef... instead of a a-z or [:alnum:] here since the alternatives # will also match non-ascii characters. OUT="$(echo $IN | sed 's/[^-0-9ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz\/\.!*@_~:;< \[\]]/_/g')" if [ "$OUT" != "$IN" ]; then echo >&2 "$0: non-ascii value $IN read from $UE4CC, sanitizing to $OUT" fi echo $OUT } [ "${CFILEMODE}" = "" ] && CFILEMODE=644 [ "${dc_use_split_config}" = "" ] && dc_use_split_config='false' [ "${dc_localdelivery}" = "" ] && dc_localdelivery='mail_spool' [ "${UPEX4C_comments:-}" = "" ] && UPEX4C_comments="${ue4c_keepcomments:-no}" TEMPLATEFILE="${UPEX4C_confdir}/exim4.conf.template" dc_use_split_config="$(lowercase $dc_use_split_config)" UPEX4C_verbose="$(lowercase $UPEX4C_verbose)" if [ "${dc_use_split_config}" = "true" ]; then [ "${UPEX4C_verbose}" = "yes" ] && \ echo "using split configuration scheme from ${UPEX4C_confd}" if ! [ -d "${UPEX4C_confd}" ]; then printf >&2 "$0: Error, no ${UPEX4C_confd}, exiting.\n" exit 1 fi else [ "${UPEX4C_verbose}" = "yes" ] && \ echo "using non-split configuration scheme from ${TEMPLATEFILE}" fi # take only the first word from /etc/mailname mailname="$(< /etc/mailname sed -n 's/\([-[:alnum:]@\.]\+\).*/\1/;p;q' | lowerpipe | check_ascii_pipe)" # barf if lookups are found. They have never been supported here. if echo " ${dc_other_hostnames} ${dc_smarthost} ${dc_local_interfaces} ${dc_relay_nets} ${dc_relay_domains}"| grep -q '[[:space:]]\(partial-\)\?\(cdb\|dbm\|dbmnz\|\(d\|ipl\|\(n\?wild\)\?l\)search\|nis\)\([\*@]\)\?[[:space:]]*;'; then echo >&2 "WARNING: using 'lookup;' constructs in $UE4CC has never been supported! See /usr/share/doc/exim4-config/NEWS.Debian.gz for details." fi dc_other_hostnames="$(lowercase $dc_other_hostnames | check_ascii_pipe)" # add localhost, get rid of spaces, trailing (semi)colons and make the list # colon separated local_domains="$(echo @:localhost:"${dc_other_hostnames}" | \ sed -e 's/[;: ]*$//' -e 's/ *//' -e 's/;/:/g')" # run-parts emulation, stolen from Branden's /etc/X11/Xsession # Addition: Use file.rul instead if file if it exists. run_parts () { # reset LC_COLLATE unset LANG LC_COLLATE LC_ALL if [ -z "$1" ]; then errormessage "$0: internal run_parts called without an argument" fi if [ ! -d "$1" ]; then errormessage "$0: internal run_parts called, but $1 does not exist or is not a directory." fi for F in $(ls $1); do if expr "$F" : '[[:alnum:]_-]\+$' > /dev/null 2>&1; then if [ -f "$1/$F" ] ; then if [ -f "$1/${F}.rul" ] ; then echo "$1/${F}.rul" else echo "$1/$F" fi fi else if [ "${UPEX4C_verbose}" = "yes" ] && \ [ -f "$1/$F" ] && \ ! expr "$F" : '[[:alnum:]_-]\+\.rul'> /dev/null 2>&1 ; then echo \ "internal run-parts: ignoring file: $1/$F" 1>&2 fi fi done; } # also from Branden errormessage () { # pretty-print messages of arbitrary length (no trailing newline) echo "$*" | fold -s -w ${COLUMNS:-80} >&2; } cat_parts() { if [ -z "$1" ]; then errormessage "$0: internal cat_parts called without an argument" fi if [ ! -d "$1" ]; then errormessage "$0: internal cat_parts called, but $1 does not exist or is not a directory." fi for file in $(run_parts $1); do echo "#####################################################" echo "### $file" echo "#####################################################" cat "$file" echo echo "#####################################################" echo "### end $file" echo "#####################################################" done } gentmpconf() { rm -f "${UPEX4C_tmp}" touch "${UPEX4C_tmp}" # this can be removed by the end of 2007 #chown --reference=${TEMPLATEFILE} \ # ${UPEX4C_tmp} ${UPEX4C_outputfile} #chmod --reference=${TEMPLATEFILE} \ # ${UPEX4C_tmp} ${UPEX4C_outputfile} if [ "$(id -u)" = "0" ]; then chown root:Debian-exim "${UPEX4C_tmp}" [ -e "${UPEX4C_outputfile}" ] && \ chown root:Debian-exim "${UPEX4C_outputfile}" fi chmod 640 "${UPEX4C_tmp}" if [ -e "${UPEX4C_outputfile}" ]; then chmod 640 "${UPEX4C_outputfile}" fi } removecomments(){ if [ "${UPEX4C_comments}" = "no" ] ; then grep -E -v '^[[:space:]]*#' | sed -e '/^$/N;/\n$/D' ; else cat fi } gentmpconf cat << EOF >> "${UPEX4C_tmp}" ######### # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # This file was generated dynamically from EOF if [ "${dc_use_split_config}" = "true" ] ; then cat << EOF >> "${UPEX4C_tmp}" # split config files in the $UPEX4C_confd/ directory. EOF else cat << EOF >> "${UPEX4C_tmp}" # non-split config ($UPEX4C_confdir/exim4.conf.localmacros # and $UPEX4C_confdir/exim4.conf.template). EOF fi cat << EOF >> "${UPEX4C_tmp}" # The config files are supplemented with package installation/configuration # settings managed by debconf. This data is stored in # $UPEX4C_confdir/update-exim4.conf.conf # Any changes you make here will be lost. # See /usr/share/doc/exim4-base/README.Debian.gz and update-exim4.conf(8) # for instructions of customization. # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING # WARNING WARNING WARNING ######### EOF # handle ";" in input values as separator change for field in $UPEX4C_semicolon; do if eval echo \$$field | grep -q ";"; then eval temp=\$$field if ! echo $temp | grep -q "^<"; then temp="<; $temp" eval "$field='$temp'" fi fi done # fix up smarthost line: change semicolons into single colons dc_smarthost="$(lowercase $dc_smarthost | check_ascii_pipe | sed 's/;/:/g')" dc_relay_nets="$(lowercase $dc_relay_nets | check_ascii_pipe)" if echo "$dc_relay_nets" | grep -q '^<;'; then dc_relay_nets="$dc_relay_nets ; 127.0.0.1 ; ::1" else dc_relay_nets="$dc_relay_nets : 127.0.0.1 : ::::1" fi dc_eximconfig_configtype="$(lowercase $dc_eximconfig_configtype | check_ascii_pipe)" dc_hide_mailname="$(lowercase $dc_hide_mailname | check_ascii_pipe)" dc_readhost="$(lowercase $dc_readhost | check_ascii_pipe)" case "$dc_eximconfig_configtype" in satellite|smarthost) if [ "${dc_hide_mailname}" = "true" ] && [ -n "${dc_readhost}" ] ; then hide_mailname=1 fi ;; local) ;; internet) ;; none|*) if [ "${dc_use_split_config}" = "true" ] ; then for i in ${UPEX4C_sections} ; do cat_parts "${UPEX4C_confd}/$i" done | \ removecomments \ >> "${UPEX4C_tmp}" else LOCALMACROS="" if [ -e "/etc/exim4/exim4.conf.localmacros" ]; then LOCALMACROS="/etc/exim4/exim4.conf.localmacros" fi cat "${LOCALMACROS:-/dev/null}" "${TEMPLATEFILE:-/dev/null}" | \ removecomments \ >> "${UPEX4C_tmp}" fi mv -f "${UPEX4C_tmp}" "${UPEX4C_outputfile}" chmod "${CFILEMODE}" "${UPEX4C_outputfile}" [ "${UPEX4C_verbose}" = "yes" ] && \ echo "Not substituting variables since conftype is none (or other)" exit 0 ;; esac UPEX4C_macros="##############################################\n" UPEX4C_macros="${UPEX4C_macros}# the following macro definitions were created\n" UPEX4C_macros="${UPEX4C_macros}# dynamically by $0\n" preprocess_macro() { macroname="${1:-}" shift contents="$(lowercase ${@} | check_ascii_pipe)" printf "%s" ".ifndef $macroname\n$macroname=$contents\n.endif\n" } seed_macro() { UPEX4C_macros="${UPEX4C_macros}$(preprocess_macro "$1" "$2")" } file2macros() { file="$1" < $1 \ sed -n '/^[[:upper:]]/p;' | \ grep -v '^CFILEMODE=' | \ while read line; do errormessage "undocumented line $line found in $1, generating exim macro" left="$(echo $line | sed 's/\([^=]*\).*/\1/')" right="$(echo $line | sed 's/[^=]*=\(.*\)/\1/')" preprocess_macro "$left" "$right" done } if [ "${dc_local_interfaces}" != "" ] ; then seed_macro "MAIN_LOCAL_INTERFACES" "${dc_local_interfaces}" fi if [ "${dc_minimaldns}" = "true" ] ; then seed_macro "DC_minimaldns" "1" if guessed_name="$(hostname --fqdn | lowerpipe | check_ascii_pipe | grep '\.')" ; then seed_macro "MAIN_HARDCODE_PRIMARY_HOSTNAME" "$guessed_name" else errormessage "hostname --fqdn did not return a fully qualified name, dc_minimaldns will not work. Please fix your /etc/hosts setup." fi fi if [ -n "${hide_mailname:-}" ]; then seed_macro "HIDE_MAILNAME" "${hide_mailname:-}" fi seed_macro "MAIN_PACKAGE_VERSION" "$UPEX4C_version" seed_macro "MAIN_LOCAL_DOMAINS" "${local_domains}" seed_macro "MAIN_RELAY_TO_DOMAINS" "${dc_relay_domains}" seed_macro "ETC_MAILNAME" "$mailname" seed_macro "LOCAL_DELIVERY" "${dc_localdelivery}" seed_macro "MAIN_RELAY_NETS" "${dc_relay_nets}" seed_macro "DCreadhost" "${dc_readhost}" seed_macro "DCsmarthost" "${dc_smarthost}" seed_macro "DC_eximconfig_configtype" "${dc_eximconfig_configtype}" seed_macro "DCconfig_${dc_eximconfig_configtype}" "1" # dump everything starting with a capital into macros as well # this is going to stay undocumented, but fixes PEBCAK where people write # macros into ue4cc. UPEX4C_macros="${UPEX4C_macros}$(file2macros $UE4CC)" UPEX4C_macros="${UPEX4C_macros}##############################################\n" case "${dc_use_split_config}" in true) for i in ${UPEX4C_sections} ; do echo "# begin processing $i #####" cat_parts "${UPEX4C_confd}/$i" echo "# end of $i #####" done \ | removecomments \ | sed "s|^\(UPEX4CmacrosUPEX4C.*\)$|\1\n$UPEX4C_macros|" \ >> "${UPEX4C_tmp}" RELEVANTTEMPLATE="$UPEX4C_confd" ;; false) if [ ! -r "$TEMPLATEFILE" ] ; then echo "Error: Unsplit config selected and $TEMPLATEFILE missing ... exiting" 1>&2 exit 1 fi LOCALMACROS="" if [ -e "/etc/exim4/exim4.conf.localmacros" ]; then LOCALMACROS="${UPEX4C_confdir}/exim4.conf.localmacros" fi cat "${LOCALMACROS:-/dev/null}" "${TEMPLATEFILE:-/dev/null}" \ | removecomments \ | sed "s|^\(UPEX4CmacrosUPEX4C.*\)$|\1\n$UPEX4C_macros|" \ >> "${UPEX4C_tmp}" RELEVANTTEMPLATE="$TEMPLATEFILE" ;; *) errormessage "Invalid value for dc_use_split_config: \"${dc_use_split_config}\", exiting." rm -f "${UPEX4C_tmp}" exit 1 ;; esac # check for left-over DEBCONF strings that may cause installation trouble # (fix PEBCAK for people who don't accept conffile changes and don't # read docs) if grep -qr '^[^#]*DEBCONF[[:lower:]_]\+DEBCONF' $RELEVANTTEMPLATE \ && ! grep -qr '^[[:space:]]*DEBCONFstringOK_config_adapted[[:space:]]*=' $RELEVANTTEMPLATE; then errormessage "DEBCONFsomethingDEBCONF found in exim configuration. This is most probably caused by you upgrading to exim4 4.67-3 or later without accepting the suggested conffile changes. Please read /usr/share/doc/exim4-config/NEWS.Debian.gz for 4.67-2 and 4.67-4" fi # check for left-over UPEX4CmacrosUPEX4C comment string that may cause # installation trouble (fix PEBCAK for people who don't accept conffile # changes and don't read docs) if grep -qr '# UPEX4CmacrosUPEX4C' $RELEVANTTEMPLATE \ && ! grep -qr '^[[:space:]]*UPEX4CmacrosOK_config_adapted[[:space:]]*=' $RELEVANTTEMPLATE; then errormessage "UPEX4CmacrosUPEX4C found in an exim configuration comment. This is most probably caused by you upgrading to exim4 4.67-5 or later without accepting the suggested conffile changes. Please read /usr/share/doc/exim4-config/NEWS.Debian.gz for 4.67-5" fi # test validity if called without -o or if --check was supplied if [ "${UPEX4C_outputfile}" = "${UPEX4C_autoconfigfile}" ] || \ [ "x${UPEX4C_check}" = "xyes" ]; then if [ -x "${EXIM}" ] ; then if ! "${EXIM}" -C "${UPEX4C_tmp}" -bV > /dev/null ; then # we have an error in the configuration file. Do not install # and activate. However, errors in string expansions inside # the configuration file are not detected by this check! errormessage "Invalid new configfile ${UPEX4C_tmp}, not installing ${UPEX4C_tmp} to ${UPEX4C_outputfile}" exit 1 fi fi fi if [ "x${UPEX4C_check}" = "xyes" ]; then rm -f "${UPEX4C_tmp}" exit 0 fi mv -f "${UPEX4C_tmp}" "${UPEX4C_outputfile}" chmod "${CFILEMODE}" "${UPEX4C_outputfile}" # end of file